package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.SchTerminatorDTO;
import com.docus.server.entity.scheduling.management.SchTerminator;
import com.docus.server.vo.scheduling.management.SchTerminatorVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 执行管理器 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Mapper
public interface SchTerminatorConvert {

    SchTerminatorConvert INSTANCE = Mappers.getMapper(SchTerminatorConvert.class);

    @Mappings({})
    SchTerminator convertDO(SchTerminatorDTO schTerminatorDTO);

    @Mappings({})
    List<SchTerminator> convertDO(List<SchTerminatorDTO> schTerminatorDTOList);

    @Mappings({})
    SchTerminatorVO convertVO(SchTerminator schTerminator);

    @Mappings({})
    List<SchTerminatorVO> convertVO(List<SchTerminator> schTerminatorList);

    @Mappings({})
    PageResult<SchTerminatorVO> convertVO(PageResult<SchTerminator> pageResult);
}

